scala.tools.nsc.ast.NodePrinters

# PrintAST

#### trait PrintAST extends AnyRef

Source
  NodePrinters.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
DefaultPrintAST, nodeToRegularString
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PrintAST
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def showAttributes(tree: Global.Tree): String

2. #### abstract def showDefTreeName(defTree: Global.DefTree): String

3. #### abstract def showFlags(tree: Global.MemberDef): String

4. #### abstract def showLiteral(lit: Global.Literal): String

5. #### abstract def showName(name: Global.Name): String

6. #### abstract def showNameAndPos(tree: Global.NameTree): String

7. #### abstract def showPosition(tree: Global.Tree): String

8. #### abstract def showTypeTree(tt: Global.TypeTree): String

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PrintAST to any2stringadd[PrintAST] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PrintAST, B)

   Implicit information
     This member is added by an implicit conversion from PrintAST to ArrowAssoc[PrintAST] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def annotationInfoToString(annot: Global.AnnotationInfo): String

7. #### def applyCommon(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Unit

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def emptyOrComment(s: String): String

11. #### def ensuring(cond: (PrintAST) ⇒ Boolean, msg: ⇒ Any): PrintAST

    Implicit information
      This member is added by an implicit conversion from PrintAST to Ensuring[PrintAST] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (PrintAST) ⇒ Boolean): PrintAST

    Implicit information
      This member is added by an implicit conversion from PrintAST to Ensuring[PrintAST] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): PrintAST

    Implicit information
      This member is added by an implicit conversion from PrintAST to Ensuring[PrintAST] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): PrintAST

    Implicit information
      This member is added by an implicit conversion from PrintAST to Ensuring[PrintAST] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PrintAST to StringFormat[PrintAST] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def printLine(value: String, comment: String): Unit

26. #### def printModifiers(tree: Global.MemberDef): Unit

27. #### def printMultiline(prefix: String, comment: String)(body: ⇒ Unit): Unit

28. #### def printMultiline(tree: Global.Tree)(body: ⇒ Unit): Unit

29. #### def printSingle(tree: Global.Tree, name: Global.Name): Unit

30. #### def println(s: String): Unit

31. #### def showRefTree(tree: Global.RefTree): String

32. #### def showRefTreeName(tree: Global.Tree): String

33. #### def stringify(tree: Global.Tree): String

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### def traverse(tree: Global.Tree): Unit

37. #### def traverseAny(x: Any): Unit

38. #### def traverseList(ifEmpty: String, what: String)(trees: List[Global.Tree]): Unit

39. #### def treePrefix(tree: Global.Tree): String

40. #### def typeApplyCommon(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Unit

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### def →[B](y: B): (PrintAST, B)

    Implicit information
      This member is added by an implicit conversion from PrintAST to ArrowAssoc[PrintAST] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PrintAST to any2stringadd[PrintAST]

### Inherited by implicit conversion StringFormat from PrintAST to StringFormat[PrintAST]

### Inherited by implicit conversion Ensuring from PrintAST to Ensuring[PrintAST]

### Inherited by implicit conversion ArrowAssoc from PrintAST to ArrowAssoc[PrintAST]

### Ungrouped